Open CASCADE Technology: IntPatch_CurvIntSurf Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IntPatch_CurvIntSurf Class Reference

`#include <IntPatch_CurvIntSurf.hxx>`

## Public Member Functions
| IntPatch_CurvIntSurf (const Standard_Real U, const Standard_Real V, const Standard_Real W, const IntPatch_CSFunction &F, const Standard_Real TolTangency, const Standard_Real MarginCoef=0.0)
| IntPatch_CurvIntSurf (const IntPatch_CSFunction &F, const Standard_Real TolTangency)
void | Perform (const Standard_Real U, const Standard_Real V, const Standard_Real W, math_FunctionSetRoot &Rsnld, const Standard_Real u0, const Standard_Real v0, const Standard_Real u1, const Standard_Real v1, const Standard_Real w0, const Standard_Real w1)
Standard_Boolean | IsDone () const
Standard_Boolean | IsEmpty () const
const gp_Pnt & | Point () const
Standard_Real | ParameterOnCurve () const
void | ParameterOnSurface (Standard_Real &U, Standard_Real &V) const
IntPatch_CSFunction & | Function ()

## Constructor & Destructor Documentation

IntPatch_CurvIntSurf::IntPatch_CurvIntSurf | ( | const Standard_Real | U,
|  | const Standard_Real | V,
|  | const Standard_Real | W,
|  | const IntPatch_CSFunction & | F,
|  | const Standard_Real | TolTangency,
|  | const Standard_Real | MarginCoef = `0.0`
| ) |  |

IntPatch_CurvIntSurf::IntPatch_CurvIntSurf | ( | const IntPatch_CSFunction & | F,
|  | const Standard_Real | TolTangency
| ) |  |

## Member Function Documentation

IntPatch_CSFunction& IntPatch_CurvIntSurf::Function | ( |  | ) |

Standard_Boolean IntPatch_CurvIntSurf::IsDone | ( |  | ) | const

Standard_Boolean IntPatch_CurvIntSurf::IsEmpty | ( |  | ) | const

Standard_Real IntPatch_CurvIntSurf::ParameterOnCurve | ( |  | ) | const

void IntPatch_CurvIntSurf::ParameterOnSurface | ( | Standard_Real & | U,
|  | Standard_Real & | V
| ) |  | const

void IntPatch_CurvIntSurf::Perform | ( | const Standard_Real | U,
|  | const Standard_Real | V,
|  | const Standard_Real | W,
|  | math_FunctionSetRoot & | Rsnld,
|  | const Standard_Real | u0,
|  | const Standard_Real | v0,
|  | const Standard_Real | u1,
|  | const Standard_Real | v1,
|  | const Standard_Real | w0,
|  | const Standard_Real | w1
| ) |  |

const gp_Pnt& IntPatch_CurvIntSurf::Point | ( |  | ) | const

The documentation for this class was generated from the following file:

- IntPatch_CurvIntSurf.hxx